Package org.apache.calcite.avatica.util

## Class PositionedCursor.MapGetter<K>

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter
  - - org.apache.calcite.avatica.util.PositionedCursor.MapGetter<K>

Type Parameters:
  `K` - the key type

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  PositionedCursor<T>

    protected class PositionedCursor.MapGetter<K>
    extends AbstractCursor.AbstractGetter

Implementation of `AbstractCursor.Getter` that reads entries from a `Map`.

### Field Summary

Fields
`protected K` `key`

### Constructor Summary

Constructors
`MapGetter​(K key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

`wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    protected final K key

### Constructor Detail

#### MapGetter

    public MapGetter​(K key)

### Method Detail

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`